Commet
  • Pricing
Log InTry out
Add seats POSTBulk set seats PUTGet all seat balances GETGet seat balance GETRemove seats DELETESet seats PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get all seat balances

Get the current balance for all seat types in a customer's subscription.

Bulk set seats PUT

Set all seat types at once.

Get seat balance GET

Get current balance for a specific seat type.

GET
/seats/balances

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId?string
externalId?string

Response Body

application/json

application/json

application/json

curl -X GET "https://commet.co/api/seats/balances"

Get the current balance for all seat types in a customer's subscription.

{
  "success": true,
  "data": {
    "property1": {
      "current": 0,
      "asOf": "2019-08-24T14:15:22Z"
    },
    "property2": {
      "current": 0,
      "asOf": "2019-08-24T14:15:22Z"
    }
  }
}
{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}
{
  "success": false,
  "code": "string",
  "message": "string",
  "details": null
}